LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
XAutomationObject Interface Reference

a tagging interface for UNO objects which represent Automation objects. More...

`import"XAutomationObject.idl";`

Inheritance diagram for XAutomationObject:

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a tagging interface for UNO objects which represent Automation objects.

If a Automation object is bridged into the UNO environment, then the resulting UNO object does not distinguish itself from any other ordinary UNO object. However, it may be desirable to have that distinction regardless, if a UNO client needs to take particular Automation specific characteristics into account. By providing XAutomationObject an object declares to be representing an Automation object.

Since
  OOo 1.1.2

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/oleautomation/XAutomationObject.idl